# $Revision: 1.28 $, $Date: 2007/02/13 07:16:47 $
%include	/usr/lib/rpm/macros.mono
Summary:	Student's Timetable
Summary(pl.UTF-8):	Terminarz ucznia
Name:		gnutu
Version:	2.5
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://gnutu.devnull.pl/download/sources/%{name}-%{version}.tar.gz
# Source0-md5:	3b92e24be9ee36e1f7873f17d946a0d2
Patch0:		%{name}-desktop.patch
URL:		http://www.gnutu.devnull.pl/
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.4.0
BuildRequires:	mono-csharp
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Student's Timetable is a Polish program. It is designed for
students from primary and secondary schools - using it, you can note
various information (like marks, tests' dates and important school
events). It also can create various statistics, calculate your
average; it can also serve as a journal and many, many more... This
program is a continuation of a windows program with similar name -
Terminarz Ucznia (Student's Timetable), which's author is also Marcin
Krzywonos.

%description -l pl.UTF-8
GNU Terminarz Ucznia jest odpowiednikiem i kontynuacją windowsowego
programu Terminarz Ucznia. Program przyda się wszystkim uczniom. Służy
do zapisywania terminów sprawdzianów, notatek, ocen, umożliwia
wyszukiwanie najbliższych klasówek.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_pixmapsdir}/gnutu.ico

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/gnutu.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnutu.spec,v $
Revision 1.28  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.26  2007/01/12 22:38:01  krystian
- up to 2.5, new URL

Revision 1.25  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.24  2006/07/08 14:33:35  adamg
- updated to 2.4

Revision 1.23  2006/01/24 10:02:21  krystian
up to 2.3.1 (some bug fixes)
STBR please

Revision 1.22  2005/11/03 20:20:44  krystian
- up to 2.1

Revision 1.21  2005/09/02 21:06:27  qboosh
- restored BR: pkgconfig, added BR: mono-csharp
- use monoautodeps

Revision 1.20  2005/09/01 22:19:38  pawcioos
- updated to 2.0

Revision 1.19  2005/06/02 19:42:12  qboosh
- popt-devel is required by libgnome-devel not here

Revision 1.18  2005/06/01 19:25:23  zbyniu
- BR: gettext-devel, popt-devel

Revision 1.17  2005/04/28 21:20:50  speedy
- make gnome happy

Revision 1.16  2005/04/24 18:20:36  speedy
- fix %%changelog, (make email more spamfriendly)

Revision 1.15  2005/04/24 18:17:52  speedy
- update to 1.2 (from tomczyk (at) op-dot-onet-dot-pl)

Revision 1.14  2004/12/23 22:23:03  adamg
- updated to 1.1 (from "Krystian T" tomczyk (at) op.onet.pl)

Revision 1.13  2004/12/20 20:23:42  ankry
- cosmetics

Revision 1.12  2004/12/20 15:30:25  gozda
- Upgrade to beta1 version.
- Tested, I had no problem with the upgrade and data transfer.

Revision 1.11  2004/11/12 19:48:01  paladine
- rel 2 for fixed desktop patch

Revision 1.10  2004/08/31 06:50:49  gozda
- Changed URL.

Revision 1.9  2004/08/30 12:41:32  grzegol
- fixed md5

Revision 1.8  2004/08/29 22:32:50  grzegol
- updated to 1.0 (by Krystian T <tomczyk AT op DOT onet DOT pl>)
- added BR: pkgconfig

Revision 1.7  2004/07/11 07:20:40  grzegol
- use %%find_lang

Revision 1.6  2004/07/10 11:15:58  adamg
- updated to 0.4.1

Revision 1.5  2004/06/21 20:45:48  jm
- some en fixes based on translation correction by Łukasz Głębicki

Revision 1.4  2004/06/21 19:07:51  qboosh
- cosmetics

Revision 1.3  2004/06/21 11:48:47  kolodko
- cosmetics

Revision 1.2  2004/06/20 23:48:02  jm
- en description (I do my best, I don't translate "Terminarz Ucznia" because it is program name)
- pl fixes (looks like something had eaten pl-fonts before)

Revision 1.1  2004/06/20 22:24:27  grzegol
- new, by Krystian T <tomczyk(at)op.onet.pl>
